/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:31:14.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service;

import cn.com.qmth.examcloud.core.print.service.bean.PrintingProjectInfo;
import cn.com.qmth.examcloud.core.print.service.bean.PrintingProjectQuery;
import org.springframework.data.domain.Page;

/**
 * 印刷项目相关接口
 *
 * @author: fengdesheng
 * @since: 2018/10/17
 */
public interface PrintingProjectService {

    /**
     * 查询印刷项目列表(分页)
     *
     * @param query
     * @return
     */
    Page<PrintingProjectInfo> getPrintingProjectList(PrintingProjectQuery query);

    /**
     * 保存或更新印刷项目信息
     *
     * @param info
     */
    void savePrintingProject(PrintingProjectInfo info);

}